Process history log endpoints
This part of the API is in Beta status. For details, see the API release lifecycle documentation. Return all logs for a given process.
A type parameter for filtering history logs
Reference to the username you want to get the corresponding history logs
Reference to the facility name you want to get the corresponding history logs
all entities after given Id
number of entities to show
25Attribute to order a process history log by
control whether you want to filter consecutive duplicate logs
trueThe process logs which were found in response body
ProcessHistoryLogs
Total number of found entities for this query
3Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/processes/{processId}/historylogs HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"historyLogs": [
{
"domain": "ORDER",
"domainRef": "text",
"eventCause": "text",
"id": "text",
"status": "text",
"timestamp": "2025-01-01T08:45:50.525Z",
"type": "text",
"user": {
"username": "text",
"userRef": "text"
},
"version": 1,
"info": "text"
}
],
"total": 3
}Last updated
Was this helpful?

